%define		kdeframever	5.67
%define		qtver		5.9.0
%define		kfname		knotifyconfig

Summary:	Configuration dialog for desktop notifications
Name:		kf5-%{kfname}
Version:	5.67.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	6e43a6a6cf0a60eb8f31269834795fc4
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Network-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5Xml-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-attica-devel >= %{version}
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	kf5-kauth-devel >= %{version}
BuildRequires:	kf5-kbookmarks-devel >= %{version}
BuildRequires:	kf5-kcodecs-devel >= %{version}
BuildRequires:	kf5-kcompletion-devel >= %{version}
BuildRequires:	kf5-kconfig-devel >= %{version}
BuildRequires:	kf5-kconfigwidgets-devel >= %{version}
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	kf5-kdbusaddons-devel >= %{version}
BuildRequires:	kf5-kglobalaccel-devel >= %{version}
BuildRequires:	kf5-kguiaddons-devel >= %{version}
BuildRequires:	kf5-ki18n-devel >= %{version}
BuildRequires:	kf5-kiconthemes-devel >= %{version}
BuildRequires:	kf5-kio-devel >= %{version}
BuildRequires:	kf5-kitemviews-devel >= %{version}
BuildRequires:	kf5-kjobwidgets-devel >= %{version}
BuildRequires:	kf5-knotifications-devel >= %{version}
BuildRequires:	kf5-kservice-devel >= %{version}
BuildRequires:	kf5-ktextwidgets-devel >= %{version}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{version}
BuildRequires:	kf5-kwindowsystem-devel >= %{version}
BuildRequires:	kf5-kxmlgui-devel >= %{version}
BuildRequires:	kf5-solid-devel >= %{version}
BuildRequires:	kf5-sonnet-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KNotifyConfig provides a configuration dialog for desktop
notifications which can be embedded in your application.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}5

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}5.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %ghost %{_libdir}/libKF5NotifyConfig.so.5
%attr(755,root,root) %{_libdir}/libKF5NotifyConfig.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KNotifyConfig
%{_includedir}/KF5/knotifyconfig_version.h
%{_libdir}/cmake/KF5NotifyConfig
%attr(755,root,root) %{_libdir}/libKF5NotifyConfig.so
%{qt5dir}/mkspecs/modules/qt_KNotifyConfig.pri
%changelog
* Wed Feb 19 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-knotifyconfig.git;a=log;h=master

* Wed Feb 19 2020 Łukasz Maśko <lmasko@pld-linux.org> 10a7b15
- Updated BR: kf5-extra-cmake-modules.

* Mon Feb 17 2020 Łukasz Maśko <lmasko@pld-linux.org> 9bf8784
- Up to 5.67.0.

* Mon Dec 30 2019 Łukasz Maśko <lmasko@pld-linux.org> 397ea9c
- Up to 5.65.0.

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 5ff7b7c
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 5197088
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 22d2cfb
- updated to 5.53.0

* Tue Feb 13 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a7496c6
- up to 5.43.0

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> fbbcf82
- updated to 5.39.0

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 8e14195
- updated to 5.24.0; fetch sources

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> eb1c123
- updated to 5.23

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 2768d73
- updated to 5.19.0

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a0d35ba
- up to 5.13.0

* Fri May 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e00045e
- up to 5.10.0

* Fri Dec 12 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f5a3750
- up to 5.4.0

* Fri Jul 11 2014 Elan Ruusamäe <glen@delfi.ee> 531cac2
- tar.xz deps

* Thu Jul 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a5dae84
- new

